{
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft": "Warning",
      "Microsoft.AspNetCore": "Warning",
      "Microsoft.Hosting.Lifetime": "Information"
    },
    "NLog": {
      "RemoveLoggerFactoryFilter": true
    }
  },
  "AllowedHosts": "*",
  "NLog": {
    "extensions": [
      {
        "assembly": "NLog.Web.AspNetCore"
      }
    ],
    "throwConfigExceptions": true,
    "targets": {
      "async": true,
      "AllFile": {
        "type": "File",
        "fileName": "./log/all-${shortdate}.log"
      },
      "WebAllFile": {
        "type": "File",
        "fileName": "./log/web-all-${shortdate}.log"
      },
      "EachFile": {
        "type": "File",
        "fileName": "./log/${logger}-${shortdate}.log"
      },
      "Console": {
        "type": "ColoredConsole"
      }
    },
    "rules": [
      {
        "logger": "*",
        "finalMinLevel": "Trace",
        "writeTo": "AllFile"
      },
      {
        "logger": "*",
        "finalMinLevel": "Trace",
        "writeTo": "WebAllFile"
      },
      {
        "logger": "System.*",
        "finalMinLevel": "Warn"
      },
      {
        "logger": "Microsoft.*",
        "finalMinLevel": "Warn"
      },
      {
        "logger": "Microsoft.Hosting.Lifetime*",
        "finalMinLevel": "Info",
        "writeTo": "Console"
      },
      {
        "logger": "server",
        "finalMinLevel": "Trace",
        "writeTo": "EachFile"
      },
      {
        "logger": "server.*",
        "finalMinLevel": "Trace",
        "writeTo": "EachFile"
      },
      {
        "logger": "server.*",
        "finalMinLevel": "Debug",
        "writeTo": "Console"
      }
    ]
  }
}
